#!/boot/home/config/bin/perl -w

#Modules
use Be::SimpleQuery;
use Be::Attribute;

#Default Values
$Drive = "/boot";
$color_swap = 1;
$count = 0;
$color_on = "#22DDD5";
$color_off = "#227A8D";


#User Defined Values
$Drive  = "/mp3";
$Artist = "Pink Floyd";
$Album  = "Dark Side";
$Title = "as";
$Genre = "Rock";



#Hearder
print "Content-type: text/html\n\n";
print "<BR><BR>\n";

print "<H2>Search Parameters:</H2>\n";
print "<B>Drive mount point:</B> $Drive<BR>\n";
print "<B>Artist:</B> $Artist<BR>\n";
print "<B>Album :</B> $Album<BR>\n";
print "<B>Title :</B> $Title<BR>\n";
print "<B>Genre :</B> $Genre<BR>\n";
print "\n";


#QUERY
#  Quoted by \"text\" to be interpreted as "[tT][eE][xX][tT]"
#  Quoted by 'text' for no interpretation
#  \\" will interprete a double-quote symbol if needed inside a query
#       ex: \"a \\"B\\" c\" -> "[aA]"[bB]"[cC]" 

@files = Be::SimpleQuery::SimpleQuery("$Drive", "((Audio:Artist==\"*$Artist*\")&&(Audio:Album==\"*$Album*\")&&(BEOS:TYPE=='audio/x-mpeg'))");
#@files = Be::SimpleQuery::SimpleQuery("$Drive", "((Audio:Artist==\"*$Artist*\")&&(BEOS:TYPE=='audio/x-mpeg'))");
#@files = Be::SimpleQuery::SimpleQuery("$Drive", "((Audio:Title==\"*$Title*\")&&(BEOS:TYPE=='audio/x-mpeg'))");
#@files = Be::SimpleQuery::SimpleQuery("$Drive", "((Audio:Genre==\"*$Genre*\")&&(BEOS:TYPE=='audio/x-mpeg'))");

print <<EOF;
<TABLE BORDER=1 WIDTH=100%>
<TR BGCOLOR="$color_off">
<TD><B><FONT COLOR="$color_on">Artist</TD>
<TD><B><FONT COLOR="$color_on">Album</TD>
<TD><B><FONT COLOR="$color_on">Title</TD>
<TD><B><FONT COLOR="$color_on">Path</TD>
</TR>

EOF

foreach (@files) {
	if ($color_swap == 0){
		$color_font = "<FONT COLOR=\"$color_on\">";
		$color_bg = $color_off;
		$color_swap = 1;
	} else {
		$color_font = "<FONT COLOR=\"$color_off\">";
		$color_bg = $color_on;
		$color_swap = 0;
	}
	$Node = Be::Attribute::GetBNode($_);
	$ThisArtist = Be::Attribute::ReadAttr($Node, "Audio:Artist");
	$ThisAlbum = Be::Attribute::ReadAttr($Node, "Audio:Album");
	$ThisTitle = Be::Attribute::ReadAttr($Node, "Audio:Title");
	$count = $count + 1;
	#print "$_<BR>\n";
	print "<TR BGCOLOR=\"$color_bg\">\n<TD>$color_font$ThisArtist</TD>\n<TD>$color_font$ThisAlbum</TD>\n<TD>$color_font$ThisTitle</TD>\n<TD>$color_font$_</TD>\n</TR>\n\n";
}
print "<TABLE>\n\n";

print "Count: $count";