#!/boot/home/config/bin/perl

# common subroutine file for all mp3_*.pl files.

# so that this fle appears to have content....
1;

sub html_header
{
	$title = shift;
 
 print <<EOF;
	<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
	<html lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>$title</title>
	</head>
	<body bgcolor="#191970" text="#ffffff">
	<blockquote>
	
	<h2>$title</h2>
	
	<P>
EOF
 	
}

sub print_nav_bar
{
	print qq[<TABLE BGCOLOR="#CC9999" BORDER=0><TR><TD>\n];
	print qq[<A HREF="mp3_base.pl">Base</A> - ];
	print qq[</TD><TD>];
	print qq[<A HREF="mp3_browse.pl">Browse</A> - ];
	print qq[</TD><TD>];
	print qq[<A HREF="mp3_list.pl">Playlists</A> - ];
	print qq[</TD><TD>];
	print qq[<A HREF="mp3_query.pl">Queries</A> - ];
	print qq[</TD><TD>];
	print qq[<A HREF="mp3_settings.pl">Settings</A>];
	print qq[</TD></TR></TABLE>];	
}

sub getsettings
{
	#This grabs the environment variable specifying this server. 
	# User can change it later.
	$MyOriginalIP = $ENV{'SERVER_NAME'};
	
	# check for existence of settings file; create if not there.
	unless (-e "/boot/home/config/settings/mp3box_settings")  
	{ 
		# my goodness...  The webserver seems to run effectively as root.
		open (CONFIGFILE, ">/boot/home/config/settings/mp3box_settings") 
			or print "<P>cannot open /boot/home/config/settings/mp3box_settings: $!<P>";
		print CONFIGFILE <<EOF;
	# defaults settings file for mp3box.
	# change settings at /cgi-bin/mp3_settings.pl on your mp3 server.
	
	# default playlist directory
	ListDir = /boot/home/public_html/mp3box/playlists
	# default browse directories - separated by pipe chars
	BrowseDir =/boot/home/data/mp3|/ghouda/mp3|/gorgonzola/more%20mp3|/grueyer/still%20more%20mp3
	# IP address of server
	MyIPAddress = $MyOriginalIP
	#Default query directory
	QueryDir=/boot
	
EOF
		close CONFIGFILE;
	}	
	
	if (-e "/boot/home/config/settings/mp3box_settings")  
	{
		# get existing settings, if they exist in the file.
		open (CONFIGFILE, "/boot/home/config/settings/mp3box_settings") 
			or print "<P>cannot open /boot/home/config/settings/mp3box_settings: $!<P>";
		
		# stolen from Perl Cookbook
		while (<CONFIGFILE>) 
		{
			chomp;				# no newline
			s/#.*//;				# no comments	
			s/^\s+//;			# no leading white
				s/\s+$//;				# no trailing white
			next unless length;     # anything left?
			my ($var, $value) = split(/\s*=\s*/, $_, 2);
			$prefs{$var} = $value;
		}
		close CONFIGFILE;
	}	
}
